﻿// Keep these lines for a best effort IntelliSense of Visual Studio 2017 and higher.
/// <reference path="./../../Packages/Beckhoff.TwinCAT.HMI.Framework.12.752.0/runtimes/native1.12-tchmi/TcHmi.d.ts" />
(function (/** @type {globalThis.TcHmi} */ TcHmi) {
    var Functions;
    (function (/** @type {globalThis.TcHmi.Functions} */ Functions) {
        var TcHmiProject1;
        (function (TcHmiProject1) {
            function RotateControlAroundCenter(MyControl, Angle) {
                var width = Math.round(MyControl.getWidth() / 2);
                var height = Math.round(MyControl.getHeight() / 2);
                var t = [{
                    "transformType": "Origin",
                    "x": width,
                    "xUnit": "px",
                    "y": height,
                    "yUnit": "px",
                    "z": 0,
                    "zUnit": "px",
                }, {
                    "transformType": "Rotate",
                    "angle": Angle,
                    "angleUnit": "deg"
                }
                ];
                MyControl.setTransform(t);
            }
            TcHmiProject1.RotateControlAroundCenter = RotateControlAroundCenter;
        })(TcHmiProject1 = Functions.TcHmiProject1 || (Functions.TcHmiProject1 = {}));
        Functions.registerFunctionEx('RotateControlAroundCenter', 'TcHmi.Functions.TcHmiProject1', TcHmiProject1.RotateControlAroundCenter);
    })(Functions = TcHmi.Functions || (TcHmi.Functions = {}));
})(TcHmi);